Bug 23254 - Combining -MD and -traditional is broken
Summary: Combining -MD and -traditional is broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 22:24 UTC by Stefan Sorensen
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-04 13:01:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Sorensen 2001-01-03 22:24:25 UTC
$ rpm -q gcc
gcc-2.96-69
$ gcc -MD -traditional foo.c
/usr/lib/gcc-lib/i386-redhat-linux/2.96/tradcpp0: Usage:
/usr/lib/gcc-lib/i386-redhat-linux/2.96/tradcpp0 [switches] input output

Comment 1 Jakub Jelinek 2001-01-04 13:01:16 UTC
I've just submitted patch to support -MD, -MMD and -MG in tradcpp0 to
gcc-patches, will see if it gets approved.

Comment 2 Jakub Jelinek 2001-01-21 18:24:29 UTC
Should be fixed in 2.96-70 and above.


Note You need to log in before you can comment on or make changes to this bug.